### Function

# Dex permission_acquire

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_permission_acquire (
      GPermission* permission
    )

#### Description [src]

Wraps `g_permission_acquire_async()`.

Available since: 1.2

#### Parameters

`permission`

  Type: `GPermission`

  A `GPermission`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.